GET
/
api
/
v1
/
buckets
/
{uuid}
/
objects
/
list
List bucket objects
curl --request GET \
  --url https://app.miget.com/api/v1/buckets/{uuid}/objects/list \
  --header 'Authorization: <api-key>'
{
  "objects": [
    {
      "key": "<string>",
      "name": "<string>",
      "is_folder": true,
      "size": 123,
      "content_type": "<string>",
      "last_modified": "2023-11-07T05:31:56Z",
      "etag": "<string>"
    }
  ],
  "current_path": "<string>",
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token for authentication. Format: 'Bearer {token}'

Headers

X-Workspace-Id
string

Workspace ID (uses default workspace if not provided)

Path Parameters

uuid
string
required

Query Parameters

prefix
string

Folder path prefix to filter objects

limit
integer<int32>
default:100

Maximum number of objects to return

cursor
string

Pagination cursor from previous request

Response

List bucket objects

Api_V1_Entities_BucketObjectList model

objects
object[]
required

List of bucket objects (files and folders)

current_path
string
required

Current folder path being viewed

has_more
boolean
required

Whether there are more objects to fetch

next_cursor
string

Pagination cursor for next page